<template>
<div class="container-xxl">
  <div class="authentication-wrapper authentication-basic container-p-y">
    <div class="authentication-inner py-4">

      <!-- Forgot Password -->
      <div class="card">
        <div class="card-body">
          <!-- Logo -->
          <div class="app-brand justify-content-center">
            <a href="/" class="app-brand-link gap-2">
              <img height="60px" src="assets/img/favicon/logo.png" alt="logo" />
            </a>
          </div>
          <!-- /Logo -->
          <h4 class="mb-2">Quên mật khẩu? 🔒</h4>
          <p class="mb-4">Vui lòng nhập OTP đã được gửi đến email để lấy lại mật khẩu.</p>
          <form id="formAuthentication" class="mb-3">
            <template v-if="formForgot">
              <div class="mb-3">
                <label for="email" class="form-label">Email</label>
                <input v-model="email" type="email" class="form-control" id="email" name="email" placeholder="Nhập email..." autofocus>
                <div v-if="errors?.email" class="invalid-feedback d-block">{{ errors?.email[0] }}</div>
              </div>
              <div class="mb-3" v-if="statusSendOtp == 1">
                <label for="email" class="form-label">OTP</label>
                <input v-model="otp" type="number" class="form-control" id="email" name="otpv" placeholder="Nhập OTP...">
                <div v-if="errors?.otp" class="invalid-feedback d-block">{{ errors?.otp[0] }}</div>
                <div v-if="messageOtp" class="invalid-feedback d-block">{{ messageOtp }}</div>
              </div>
              <button v-on:click="statusSendOtp == 1 ? confirm() : sendOtp()" type="button" class="btn btn-primary d-grid w-100">Gửi</button>
            </template>
            <template v-else>
              <div class="mb-3">
                <label for="email" class="form-label">Mật khẩu mới</label>
                <input v-model="password" type="password" class="form-control" id="password" name="password" placeholder="Nhập mật khẩu mới..." autofocus>
                <div v-if="errors?.email" class="invalid-feedback d-block">{{ errors?.email[0] }}</div>
              </div>
              <button v-on:click="updatePass()" type="button" class="btn btn-primary d-grid w-100">Gửi</button>
            </template>
          </form>
          <div class="text-center">
            <a href="sign-in" class="d-flex align-items-center justify-content-center">
              <i class="bx bx-chevron-left scaleX-n1-rtl bx-sm"></i>
              Quay lại
            </a>
          </div>
        </div>
      </div>
      <!-- /Forgot Password -->
    </div>
  </div>
</div>
</template>
 
<script>
    export default {
        name: 'forgot-password',
        data(){
            return {
              email: '',
              otp: '',
              password: '',
              key: '',
              statusSendOtp: 0,
              errors: {},
              messageOtp: null,
              formForgot: true
            }
        },
        props:{
            
        },
        methods:{
          sendOtp(){
            this.errors = {};
            this.$store.dispatch('sendOTP', {email: this.email}).then(res => {
              if(res.status === 200) {
                this.statusSendOtp = 1;
              } 
            }).catch(error => {
              this.errors = error.response.data.errors;
            })
          },
          confirm(){
            this.errors = {};
            this.messageOtp = null;
            this.$store.dispatch('confirmOtp', {email: this.email, otp: this.otp}).then(res => {
              if(res.status === 200) {
                this.formForgot = false;
                this.key = res.data.key;
              } else {
                this.messageOtp = res.message;
              }
            }).catch(error => {
              this.errors = error.response.data.errors;
            })
          },
          updatePass(){
            this.$store.dispatch('updatePass', {key: this.key, password: this.password}).then(res => {
              if(res.status === 200) {
                window.location.href = 'sign-in'
              } 
            });
          },
        },
        mounted() {;
           
        }
    }
 </script>
 <style lang="scss">
 
 </style>